// ****************************************************************************

// Created with Bishop3D for Windows

// By Stephen McAvoy

// Bishop3D Version 1.0.5.2

// 30/10/2010 - 13:18:59

// *****************************************************************************

// ****************************************************************************
// Scene needs no external file
// ****************************************************************************

// ****************************************************************************
// Scene contains:
// 1 light source
// 2229239 objects
// 
// ****************************************************************************

//Add Earth transformations on to Lightgroup light
//
//
//        
//

#version 3.6;

background { colour rgb <0.000,0.000,0.000> }

// ****************************************************************************
// referenced scene items and forced visible scene items declaration begin
// ****************************************************************************

#declare SMcA_Red1 =
texture {
    pigment {
        colour rgbft <0.847,0.278,0.180,0.000,0.000>
    }

    finish {
        ambient     rgb <0.100,0.100,0.100>
        brilliance  1.000
        crand       0.000
        diffuse     0.600
        metallic    0.000
        phong       0.000
        phong_size  40.000
        specular    0.000
        roughness   0.050
    }

}

#declare Sandalwood =
texture {
    #declare B3D_TEMP_ID =
        texture {
            pigment {
                bozo
                colour_map {
                    [0.000 rgbft <0.725,0.659,0.455,0.000,0.000>]
                    [0.171 rgbft <0.682,0.549,0.420,0.000,0.000>]
                    [0.274 rgbft <0.557,0.451,0.322,0.000,0.000>]
                    [0.393 rgbft <0.725,0.659,0.455,0.000,0.000>]
                    [0.564 rgbft <0.682,0.549,0.420,0.000,0.000>]
                    [0.701 rgbft <0.482,0.392,0.278,0.000,0.000>]
                    [1.000 rgbft <0.725,0.659,0.455,0.000,0.000>]
                }

                scale     <0.400,0.400,2.000>
                turbulence <0.200,0.200,0.200>
                octaves 6
                lambda 2.000
                omega 0.500
            }

        }
        texture {
            pigment {
                bozo
                colour_map {
                    [0.000 rgbft <0.682,0.604,0.380,0.000,1.000>]
                    [0.087 rgbft <0.761,0.694,0.600,0.000,0.020>]
                    [0.226 rgbft <0.635,0.553,0.325,0.000,1.000>]
                    [0.348 rgbft <0.761,0.694,0.600,0.000,0.020>]
                    [0.496 rgbft <0.682,0.604,0.380,0.000,1.000>]
                    [0.565 rgbft <0.761,0.694,0.600,0.000,0.020>]
                    [0.661 rgbft <0.682,0.604,0.380,0.000,1.000>]
                    [0.835 rgbft <0.761,0.694,0.600,0.000,0.020>]
                    [1.000 rgbft <0.682,0.604,0.380,0.000,1.000>]
                }

                scale     <0.400,0.400,0.400>
                turbulence <0.800,0.800,0.800>
                octaves 6
                lambda 2.000
                omega 0.500
            }

        }
    ;// the semicolon is necessary or POV-Ray will not figure out that the declarations has ended
    B3D_TEMP_ID
}

#declare SMcA_metal0 =
texture {
    pigment {
        colour rgbft <0.400,0.400,0.400,0.000,0.000>
    }

    finish {
        ambient     rgb <0.300,0.300,0.300>
        brilliance  3.867
        crand       0.000
        diffuse     0.243
        metallic    0.082
        phong       0.215
        phong_size  2.000
        specular    0.000
        roughness   0.199
        reflection {
            rgb <0.010,0.010,0.010>, rgb <0.010,0.010,0.010>
            fresnel   0
            falloff   1.000
            exponent  1.000
            metallic  0.000
        }
    }

}

#declare TdG_LightBandedSandstone =
material{
    texture {
        pigment {
            agate
            agate_turb 1.000
            pigment_map {
                [0.000,
                    colour rgbft <0.541,0.380,0.000,0.000,0.000>
                ]
                [0.400,
                    colour rgbft <0.980,0.781,0.438,0.000,0.000>
                ]
                [0.800,
                    colour rgbft <0.906,0.656,0.336,0.000,0.000>
                ]
                [1.000,
                    colour rgbft <0.824,0.531,0.234,0.000,0.000>
                ]
            }

            rotate    <0.0,0.0,180.000>
            rotate    <0.0,-90.000,0.0>
            scale     <0.300,5.000,30.000>
            rotate    <0.000,90.000,-180.000>
            rotate    <-10.000,-15.000,0.000>
        }

        normal {
            crackle, 1.000
            form < -1.000, 1.000, 0.000 >
            metric 2.000
            offset 0.000
            warp {
                turbulence <0.300,0.500,1.000>
                octaves 6
                lambda 2.000
                omega 0.500
            }
        }

        finish {
            ambient     rgb <0.100,0.100,0.100>
            brilliance  0.500
            crand       0.000
            diffuse     0.600
            metallic    0.000
            phong       0.000
            phong_size  40.000
            specular    0.000
            roughness   0.050
        }

    }

}

#declare Camera1 =
camera {
    perspective
    location <-1750.000,100.000,-600.000>
    up y
    right -1.333*x
    angle 50.000
    sky <-0.130,0.991,-0.026>
    look_at < 1230.057, 500.000, -200.000 >
}  // end Camera1

#declare Unit0 =
union {
    box {  // Cross0
        < -0.5000000, -0.5000000, -0.5000000 >, < 0.5000000, 0.5000000, 0.5000000 >
        scale     <0.400000,10.205001,1.000000>
        rotate    <45.000000,0.000000,0.000000>
        translate <-0.250000,4.430449,0.000000>
    }  // end Cross0

    box {  // Vert0
        < -0.5000000, -0.5000000, -0.5000000 >, < 0.5000000, 0.5000000, 0.5000000 >
        scale     <2.000000,0.166667,11.999999>
        rotate    <0.000000,0.000000,90.000000>
        translate <0.000000,1.000000,0.000000>
    }  // end Vert0

    box {  // Horiz0
        < -0.5000000, -0.5000000, -0.5000000 >, < 0.5000000, 0.5000000, 0.5000000 >
        scale     <2.000000,0.166667,11.999999>
    }  // end Horiz0

    translate <0.000000,-4.396000,0.000000>
}  // end Unit0

#declare Unit0_X_2_0 =
union {
    object {  // Reference3
        Unit0
        scale     <-1.000000,-1.000000,1.000000>
    }  // end Reference3

    object{ Unit0 }

}  // end Unit0_X_2_0

#declare ViaductBase0 =
union {
    box {  // ViaductTop0
        < -0.5000000, -0.5000000, -0.5000000 >, < 0.5000000, 0.5000000, 0.5000000 >
        texture{ Sandalwood }
        scale     <24.000000,0.338336,32.000000>
        translate <-0.100433,187.128000,-0.036736>
    }  // end ViaductTop0

    union {  // Object_Array7
        #declare Count = 0;
        #while( Count < 1 )
            #declare Factor = cos(0.000000+Count*0.000000);
            object{ Unit0_X_2_0
                rotate <0.0,0.0,0.000000*Count>
                rotate<0.0,0.000000*Count,0.0>
                rotate <0.000000*Count,0.0,0.0>
                scale <pow(1.000000,Count),pow(1.000000,Count),pow(1.000000,Count)>
                rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                rotate <0.000000*Count,0.000000,0.000000*Count>
                translate <0.000000*Count,0.000000*Count,24.000000*Count>
                rotate <0.000000*Count,0.000000*Count,0.000000*Count>
            }
            #declare Count = Count + 1;
        #end
        scale     <1.000000,1.900000,2.487324>
        translate <11.442342,178.037277,-0.063354>
    }  // end Object_Array7

    union {  // Object_Array6
        #declare Count = 0;
        #while( Count < 2 )
            #declare Factor = cos(0.000000+Count*0.000000);
            object{ Unit0_X_2_0
                rotate <0.0,0.0,0.000000*Count>
                rotate<0.0,0.000000*Count,0.0>
                rotate <0.000000*Count,0.0,0.0>
                scale <pow(1.000000,Count),pow(1.000000,Count),pow(1.000000,Count)>
                rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                rotate <0.000000*Count,90.000000,0.000000*Count>
                translate <0.000000*Count,0.000000*Count,30.000000*Count>
                rotate <0.000000*Count,0.000000*Count,0.000000*Count>
            }
            #declare Count = Count + 1;
        #end
        scale     <2.000000,2.000000,1.000000>
        translate <0.000000,178.037003,-15.136000>
    }  // end Object_Array6

    texture{ SMcA_Red1 }
    scale     <1.000000,1.000000,0.500000>
    translate <0.000000,5.000000,3.773000>
}  // end ViaductBase0

#declare Box1 =
box {
    < -0.5000000, -0.5000000, -0.5000000 >, < 0.5000000, 0.5000000, 0.5000000 >
    scale     <0.025000,3.000000,0.285000>
    translate <0.000000,1.500000,0.000000>
}  // end Box1

#declare CrossPiece0 =
union {
    object {  // Reference22
        Box1
        scale     <1.000000,1.105000,1.000000>
        rotate    <45.000000,0.000000,0.000000>
        translate <0.000000,0.297465,-0.176690>
    }  // end Reference22

    object {  // Reference23
        Box1
        scale     <1.000000,1.105000,1.000000>
        rotate    <-45.000000,0.000000,0.000000>
        translate <0.000000,0.297465,2.193733>
    }  // end Reference23

}  // end CrossPiece0

#declare Angle_Iron0 =
union {
    object {  // Reference17
        Box1
        rotate    <0.000000,90.000000,0.000000>
        translate <0.129654,0.000000,-0.130000>
    }  // end Reference17

    object{ Box1 }

    rotate    <0.000000,90.000000,0.000000>
    translate <0.150000,0.000000,0.000000>
}  // end Angle_Iron0

#declare Angle_Iron1 =
union {
    object {  // Reference26
        CrossPiece0
        scale     <1.000000,1.000000,0.724000>
        rotate    <0.000000,90.000000,0.000000>
        translate <0.265000,0.000000,2.060000>
    }  // end Reference26

    object {  // Reference25
        CrossPiece0
        scale     <1.000000,1.000000,0.724000>
        rotate    <0.000000,90.000000,0.000000>
        translate <0.265000,0.000000,0.000000>
    }  // end Reference25

    object {  // Reference24
        CrossPiece0
        translate <2.000000,0.000000,0.000000>
    }  // end Reference24

    object{ CrossPiece0 }

    object {  // Reference21
        Angle_Iron0
    }  // end Reference21

    object {  // Reference20
        Angle_Iron0
        rotate    <0.000000,-90.000000,0.000000>
        translate <0.000000,0.000000,2.000000>
    }  // end Reference20

    object {  // Reference19
        Angle_Iron0
        rotate    <0.000000,180.000000,0.000000>
        translate <2.000000,0.000000,2.000000>
    }  // end Reference19

    object {  // Reference18
        Angle_Iron0
        rotate    <0.000000,90.000000,0.000000>
        translate <2.000000,0.000000,0.000000>
    }  // end Reference18

    scale     <3.000000,2.000000,3.000000>
}  // end Angle_Iron1

#declare Cylinder0_Local0 =
union {
    cylinder {  // Cylinder0
        -0.5000000*y,0.5000000*y,1.000
        scale     <2.000000,145.000000,2.000000>
        rotate    <90.000000,90.000000,0.000000>
        translate <72.500000,0.000000,0.000000>
    }  // end Cylinder0

}  // end Cylinder0_Local0

#declare Side1 =
union {
    union {  // CrossMembers0
        union {  // Object_Array57
            #declare Count = 0;
            #while( Count < 19 )
                #declare Factor = cos(0.000000+Count*0.000000);
                object{ Angle_Iron1
                    rotate <0.0,0.0,0.000000*Count>
                    rotate<0.0,0.000000*Count,0.0>
                    rotate <0.000000*Count,0.0,0.0>
                    scale <pow(1.000000,Count),pow(1.000000,Count),pow(1.000000,Count)>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                    translate <0.000000*Count,6.000000*Count,0.000000*Count>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                }
                #declare Count = Count + 1;
            #end
            scale     <0.250000,0.500000,0.250000>
            rotate    <-18.000000,0.000000,-25.000000>
            translate <-904.338000,180.389000,35.655000>
        }  // end Object_Array57

        union {  // Object_Array56
            #declare Count = 0;
            #while( Count < 16 )
                #declare Factor = cos(0.000000+Count*0.000000);
                object{ Angle_Iron1
                    rotate <0.0,0.0,0.000000*Count>
                    rotate<0.0,0.000000*Count,0.0>
                    rotate <0.000000*Count,0.0,0.0>
                    scale <pow(1.000000,Count),pow(1.000000,Count),pow(1.000000,Count)>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                    translate <0.000000*Count,6.000000*Count,0.000000*Count>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                }
                #declare Count = Count + 1;
            #end
            scale     <0.250000,0.500000,0.250000>
            rotate    <-18.000000,0.000000,25.000000>
            translate <-882.672562,180.389000,35.655000>
        }  // end Object_Array56

        union {  // Object_Array55
            #declare Count = 0;
            #while( Count < 21 )
                #declare Factor = cos(0.000000+Count*0.000000);
                object{ Angle_Iron1
                    rotate <0.0,0.0,0.000000*Count>
                    rotate<0.0,0.000000*Count,0.0>
                    rotate <0.000000*Count,0.0,0.0>
                    scale <pow(1.000000,Count),pow(1.000000,Count),pow(1.000000,Count)>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                    translate <0.000000*Count,6.000000*Count,0.000000*Count>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                }
                #declare Count = Count + 1;
            #end
            scale     <0.250000,0.500000,0.250000>
            rotate    <-18.000000,0.000000,-25.000000>
            translate <-882.330365,180.389000,35.655000>
        }  // end Object_Array55

        union {  // Object_Array54
            #declare Count = 0;
            #while( Count < 19 )
                #declare Factor = cos(0.000000+Count*0.000000);
                object{ Angle_Iron1
                    rotate <0.0,0.0,0.000000*Count>
                    rotate<0.0,0.000000*Count,0.0>
                    rotate <0.000000*Count,0.0,0.0>
                    scale <pow(1.000000,Count),pow(1.000000,Count),pow(1.000000,Count)>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                    translate <0.000000*Count,6.000000*Count,0.000000*Count>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                }
                #declare Count = Count + 1;
            #end
            scale     <0.250000,0.500000,0.250000>
            rotate    <-18.000000,0.000000,25.000000>
            translate <-858.791640,180.389000,35.655000>
        }  // end Object_Array54

        union {  // Object_Array53
            #declare Count = 0;
            #while( Count < 21 )
                #declare Factor = cos(0.000000+Count*0.000000);
                object{ Angle_Iron1
                    rotate <0.0,0.0,0.000000*Count>
                    rotate<0.0,0.000000*Count,0.0>
                    rotate <0.000000*Count,0.0,0.0>
                    scale <pow(1.000000,Count),pow(1.000000,Count),pow(1.000000,Count)>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                    translate <0.000000*Count,6.000000*Count,0.000000*Count>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                }
                #declare Count = Count + 1;
            #end
            scale     <0.250000,0.500000,0.250000>
            rotate    <-18.000000,0.000000,25.000000>
            translate <-832.101000,180.389000,35.655000>
        }  // end Object_Array53

        union {  // Object_Array52
            #declare Count = 0;
            #while( Count < 22 )
                #declare Factor = cos(0.000000+Count*0.000000);
                object{ Angle_Iron1
                    rotate <0.0,0.0,0.000000*Count>
                    rotate<0.0,0.000000*Count,0.0>
                    rotate <0.000000*Count,0.0,0.0>
                    scale <pow(1.000000,Count),pow(1.000000,Count),pow(1.000000,Count)>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                    translate <0.000000*Count,6.000000*Count,0.000000*Count>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                }
                #declare Count = Count + 1;
            #end
            scale     <0.250000,0.500000,0.250000>
            rotate    <-18.000000,0.000000,-25.000000>
            translate <-858.605365,180.389000,35.655000>
        }  // end Object_Array52

        union {  // Object_Array51
            #declare Count = 0;
            #while( Count < 21 )
                #declare Factor = cos(0.000000+Count*0.000000);
                object{ Angle_Iron1
                    rotate <0.0,0.0,0.000000*Count>
                    rotate<0.0,0.000000*Count,0.0>
                    rotate <0.000000*Count,0.0,0.0>
                    scale <pow(1.000000,Count),pow(1.000000,Count),pow(1.000000,Count)>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                    translate <0.000000*Count,6.000000*Count,0.000000*Count>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                }
                #declare Count = Count + 1;
            #end
            scale     <0.250000,0.500000,0.250000>
            rotate    <-18.000000,0.000000,-25.000000>
            translate <-832.189000,180.389000,35.655000>
        }  // end Object_Array51

        union {  // Object_Array50
            #declare Count = 0;
            #while( Count < 22 )
                #declare Factor = cos(0.000000+Count*0.000000);
                object{ Angle_Iron1
                    rotate <0.0,0.0,0.000000*Count>
                    rotate<0.0,0.000000*Count,0.0>
                    rotate <0.000000*Count,0.0,0.0>
                    scale <pow(1.000000,Count),pow(1.000000,Count),pow(1.000000,Count)>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                    translate <0.000000*Count,6.000000*Count,0.000000*Count>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                }
                #declare Count = Count + 1;
            #end
            scale     <0.250000,0.500000,0.250000>
            rotate    <-18.000000,0.000000,25.000000>
            translate <-806.971585,180.389000,35.655000>
        }  // end Object_Array50

        union {  // Object_Array49
            #declare Count = 0;
            #while( Count < 19 )
                #declare Factor = cos(0.000000+Count*0.000000);
                object{ Angle_Iron1
                    rotate <0.0,0.0,0.000000*Count>
                    rotate<0.0,0.000000*Count,0.0>
                    rotate <0.000000*Count,0.0,0.0>
                    scale <pow(1.000000,Count),pow(1.000000,Count),pow(1.000000,Count)>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                    translate <0.000000*Count,6.000000*Count,0.000000*Count>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                }
                #declare Count = Count + 1;
            #end
            scale     <0.250000,0.500000,0.250000>
            rotate    <-18.000000,0.000000,-25.000000>
            translate <-806.850267,180.389000,35.655000>
        }  // end Object_Array49

        union {  // Object_Array48
            #declare Count = 0;
            #while( Count < 21 )
                #declare Factor = cos(0.000000+Count*0.000000);
                object{ Angle_Iron1
                    rotate <0.0,0.0,0.000000*Count>
                    rotate<0.0,0.000000*Count,0.0>
                    rotate <0.000000*Count,0.0,0.0>
                    scale <pow(1.000000,Count),pow(1.000000,Count),pow(1.000000,Count)>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                    translate <0.000000*Count,6.000000*Count,0.000000*Count>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                }
                #declare Count = Count + 1;
            #end
            scale     <0.250000,0.500000,0.250000>
            rotate    <-18.000000,0.000000,25.000000>
            translate <-781.754591,180.389000,35.655000>
        }  // end Object_Array48

        union {  // Object_Array47
            #declare Count = 0;
            #while( Count < 19 )
                #declare Factor = cos(0.000000+Count*0.000000);
                object{ Angle_Iron1
                    rotate <0.0,0.0,0.000000*Count>
                    rotate<0.0,0.000000*Count,0.0>
                    rotate <0.000000*Count,0.0,0.0>
                    scale <pow(1.000000,Count),pow(1.000000,Count),pow(1.000000,Count)>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                    translate <0.000000*Count,6.000000*Count,0.000000*Count>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                }
                #declare Count = Count + 1;
            #end
            scale     <0.250000,0.500000,0.250000>
            rotate    <-18.000000,0.000000,-25.000000>
            translate <-782.165688,180.389000,35.655000>
        }  // end Object_Array47

        union {  // Object_Array46
            #declare Count = 0;
            #while( Count < 19 )
                #declare Factor = cos(0.000000+Count*0.000000);
                object{ Angle_Iron1
                    rotate <0.0,0.0,0.000000*Count>
                    rotate<0.0,0.000000*Count,0.0>
                    rotate <0.000000*Count,0.0,0.0>
                    scale <pow(1.000000,Count),pow(1.000000,Count),pow(1.000000,Count)>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                    translate <0.000000*Count,6.000000*Count,0.000000*Count>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                }
                #declare Count = Count + 1;
            #end
            scale     <0.250000,0.500000,0.250000>
            rotate    <-18.000000,0.000000,25.000000>
            translate <-760.360291,180.389008,35.654999>
        }  // end Object_Array46

    }  // end CrossMembers0

    union {  // GirderTop0
        #declare Count = 0;
        #while( Count < 13 )
            #declare Factor = cos(0.000000+Count*0.483322);
            object{ Unit0_X_2_0
                rotate <0.0,0.0,0.000000*Count>
                rotate<0.0,0.000000*Count,0.0>
                rotate <0.000000*Count,0.0,0.0>
                scale <pow(1.000000,Count),pow(1.000000,Count),pow(1.000000,Count)>
                rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                rotate <2.000000*Count,0.000000*Count,0.000000*Count>
                translate <0.000000*Count,0.000000*Count,11.000000*Count>
                rotate <2.000000*Count,0.000000*Count,0.000000*Count>
            }
            #declare Count = Count + 1;
        #end
        rotate    <0.000000,-90.000000,-23.947708>
        translate <-765.893496,227.144000,20.569000>
    }  // end GirderTop0

    object {  // Reference31
        Cylinder0_Local0
        scale     <1.036000,1.620000,1.600000>
        rotate    <-0.000000,-0.000000,180.000000>
        translate <-757.030273,178.225006,37.097000>
    }  // end Reference31

    texture{ SMcA_Red1 }
}  // end Side1

#declare Prism0 =
prism {
    linear_spline
    linear_sweep
    0.000000,
    1.000000,
    8,
    < 2.183000, -0.435000 >
    < 2.610641, -0.425438 >
    < 2.580553, -0.387000 >
    < -0.240348, 0.300000 >
    < -0.559390, 0.319385 >
    < -0.541466, -1.640000 >
    < -0.232733, -1.648267 >
    < -0.238267, 0.068658 >
    sturm
    scale     <17.058605,6.000000,17.058605>
    rotate    <0.000000,0.000000,90.000000>
    translate <0.000000,0.000000,27.826000>
}  // end Prism0

#declare CantileverEnd0 =
union {
    union {  // CSG3
        object {  // Reference0
            Prism0
            scale     <1.000000,1.000000,-1.000000>
        }  // end Reference0

        object{ Prism0 }

        texture{ SMcA_metal0 }
    }  // end CSG3

    difference {  // CSG2
        cylinder {  // Cylinder7
            -0.5000000*y,0.5000000*y,1.000
            scale     <30.000000,6.000000,40.000000>
            rotate    <0.000000,0.000000,90.000000>
            translate <-2.963296,19.145548,0.000000>
        }  // end Cylinder7

        box {  // Box3
            < -0.5000000, -0.5000000, -0.5000000 >, < 0.5000000, 0.5000000, 0.5000000 >
            scale     <10.000000,32.350765,33.200000>
            translate <-2.783000,39.327595,37.097000>
        }  // end Box3

        box {  // Box2
            < -0.5000000, -0.5000000, -0.5000000 >, < 0.5000000, 0.5000000, 0.5000000 >
            scale     <10.000000,32.350765,33.200000>
            translate <-2.783000,39.327595,-37.097000>
        }  // end Box2

        box {  // Box0
            < -0.5000000, -0.5000000, -0.5000000 >, < 0.5000000, 0.5000000, 0.5000000 >
            scale     <10.000000,66.636238,81.800000>
            translate <-2.963296,3.918000,0.000000>
        }  // end Box0

        cylinder {  // Cylinder8
            -0.5000000*y,0.5000000*y,1.000
            scale     <23.000000,8.000000,33.000000>
            rotate    <0.000000,0.000000,90.000000>
            translate <-2.963296,19.145548,0.000000>
        }  // end Cylinder8

        texture{ SMcA_metal0 }
    }  // end CSG2

}  // end CantileverEnd0

#declare Girder0 =
union {
    union {  // Object_Array58
        #declare Count = 0;
        #while( Count < 6 )
            #declare Factor = cos(0.000000+Count*0.000000);
            object{ ViaductBase0
                rotate <0.0,0.0,0.000000*Count>
                rotate<0.0,0.000000*Count,0.0>
                rotate <0.000000*Count,0.0,0.0>
                scale <pow(1.000000,Count),pow(1.000000,Count),pow(1.000000,Count)>
                rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                rotate <0.000000*Count,0.000000,0.000000*Count>
                translate <24.000000*Count,0.000000*Count,0.000000*Count>
                rotate <0.000000*Count,0.000000*Count,0.000000*Count>
            }
            #declare Count = Count + 1;
        #end
        texture{ SMcA_Red1 }
        scale     <-0.993000,1.000000,1.000000>
        translate <-767.229000,-6.462000,-3.039000>
        inverse
    }  // end Object_Array58

    object {  // Reference50
        Side1
        scale     <1.000000,1.000000,-1.000000>
    }  // end Reference50

    object{ Side1 }

    union {  // Object_Array45
        #declare Count = 0;
        #while( Count < 2 )
            #declare Factor = cos(0.000000+Count*0.000000);
            object{ CantileverEnd0
                rotate <0.0,0.0,0.000000*Count>
                rotate<0.0,0.000000*Count,0.0>
                rotate <0.000000*Count,0.0,0.0>
                scale <pow(1.000000,Count),pow(1.000000,Count),pow(1.000000,Count)>
                rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                translate <145.000000*Count,0.000000*Count,0.000000*Count>
                rotate <0.000000*Count,0.000000*Count,0.000000*Count>
            }
            #declare Count = Count + 1;
        #end
        translate <-901.220642,185.403000,0.000000>
    }  // end Object_Array45

    texture{ SMcA_Red1 }
}  // end Girder0

#declare Unit0_X_4_0 =
union {
    object{ Unit0_X_2_0 }

    object {  // Reference4
        Unit0_X_2_0
        translate <8.000000,0.000000,0.000000>
    }  // end Reference4

    texture{ SMcA_Red1 }
    translate <-2.000000,0.000000,0.000000>
}  // end Unit0_X_4_0

#declare CrossPiece1 =
union {
    object {  // Reference42
        Box1
        scale     <0.500000,1.105000,0.500000>
        rotate    <45.000000,0.000000,0.000000>
        translate <0.000000,0.297465,-0.176690>
    }  // end Reference42

    object {  // Reference43
        Box1
        scale     <0.500000,1.105000,0.500000>
        rotate    <-45.000000,0.000000,0.000000>
        translate <0.000000,0.297465,2.193733>
    }  // end Reference43

}  // end CrossPiece1

#declare Angle_Iron2 =
union {
    object {  // Reference39
        CrossPiece1
        scale     <1.000000,1.000000,0.724000>
        rotate    <0.000000,90.000000,0.000000>
        translate <0.265000,0.000000,2.060000>
    }  // end Reference39

    object {  // Reference40
        CrossPiece1
        scale     <1.000000,1.000000,0.724000>
        rotate    <0.000000,90.000000,0.000000>
        translate <0.265000,0.000000,0.000000>
    }  // end Reference40

    object {  // Reference41
        CrossPiece1
        translate <2.000000,0.000000,0.000000>
    }  // end Reference41

    object{ CrossPiece1 }

    object {  // Reference44
        Angle_Iron0
        scale     <0.500000,1.000000,0.500000>
    }  // end Reference44

    object {  // Reference45
        Angle_Iron0
        scale     <0.500000,1.000000,0.500000>
        rotate    <0.000000,-90.000000,0.000000>
        translate <0.000000,0.000000,2.000000>
    }  // end Reference45

    object {  // Reference46
        Angle_Iron0
        scale     <0.500000,1.000000,0.500000>
        rotate    <0.000000,180.000000,0.000000>
        translate <2.000000,0.000000,2.000000>
    }  // end Reference46

    object {  // Reference47
        Angle_Iron0
        scale     <0.500000,1.000000,0.500000>
        rotate    <0.000000,90.000000,0.000000>
        translate <2.000000,0.000000,0.000000>
    }  // end Reference47

    scale     <3.000000,2.000000,3.000000>
    translate <-2.997436,0.000000,-3.517000>
}  // end Angle_Iron2

#declare Angle_Iron3 =
union {
    object{ Angle_Iron2 }

    scale     <3.000000,2.000000,3.000000>
    translate <2.997436,0.000000,3.517000>
}  // end Angle_Iron3

#declare Side0 =
union {
    union {  // Object_TopLong1
        #declare Count = 0;
        #while( Count < 59 )
            #declare Factor = cos(0.000000+Count*0.000000);
            object{ Unit0_X_4_0
                rotate <0.0,0.0,0.000000*Count>
                rotate<0.0,0.000000*Count,0.0>
                rotate <0.000000*Count,0.0,0.0>
                scale <pow(1.000000,Count),pow(1.000000,Count),pow(1.000000,Count)>
                rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                translate <0.000000*Count,0.000000*Count,11.999999*Count>
                rotate <0.000000*Count,0.000000*Count,0.000000*Count>
            }
            #declare Count = Count + 1;
        #end
        scale     <1.000000,1.000000,1.010000>
        rotate    <108.200005,-90.000000,-90.000000>
        translate <-78.652000,447.112000,14.473501>
    }  // end Object_TopLong1

    union {  // OpenStrutBraces0
        union {  // OpenStrutBraces_4
            union {  // Object_Array23
                #declare Count = 0;
                #while( Count < 18 )
                    #declare Factor = cos(1.570796+Count*0.174533);
                    object{ Angle_Iron3
                        rotate <0.0,0.0,0.000000*Count>
                        rotate<0.0,0.000000*Count,0.0>
                        rotate <0.000000*Count,0.0,0.0>
                        scale <pow(1.000000,Count)*Factor,pow(1.000000,Count),pow(1.000000,Count)*Factor>
                        rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                        rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                        translate <0.000000*Count,6.000000*Count,0.000000*Count>
                        rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                    }
                    #declare Count = Count + 1;
                #end
                scale     <0.250000,1.000000,0.250000>
                rotate    <-27.876000,13.646558,40.536616>
                translate <-613.271000,172.367340,37.048665>
            }  // end Object_Array23

        }  // end OpenStrutBraces_4

        union {  // OpenStrutBraces_3
            union {  // Object_Array24
                #declare Count = 0;
                #while( Count < 24 )
                    #declare Factor = cos(1.570796+Count*0.130900);
                    object{ Angle_Iron3
                        rotate <0.0,0.0,0.000000*Count>
                        rotate<0.0,0.000000*Count,0.0>
                        rotate <0.000000*Count,0.0,0.0>
                        scale <pow(1.000000,Count)*Factor,pow(1.000000,Count),pow(1.000000,Count)*Factor>
                        rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                        rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                        translate <0.000000*Count,6.000000*Count,0.000000*Count>
                        rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                    }
                    #declare Count = Count + 1;
                #end
                scale     <0.250000,1.000000,0.250000>
                rotate    <-24.312473,12.207436,35.773573>
                translate <-528.882285,163.347488,40.186000>
            }  // end Object_Array24

        }  // end OpenStrutBraces_3

        union {  // OpenStrutBraces_2
            union {  // Object_Array20
                #declare Count = 0;
                #while( Count < 9 )
                    #declare Factor = cos(1.570796+Count*0.349066);
                    object{ Angle_Iron3
                        rotate <0.0,0.0,0.000000*Count>
                        rotate<0.0,0.000000*Count,0.0>
                        rotate <0.000000*Count,0.0,0.0>
                        scale <pow(1.000000,Count)*Factor,pow(1.000000,Count),pow(1.000000,Count)*Factor>
                        rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                        rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                        translate <0.000000*Count,6.000000*Count,0.000000*Count>
                        rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                    }
                    #declare Count = Count + 1;
                #end
                scale     <0.250000,1.000000,0.250000>
                rotate    <-45.208506,13.394000,18.980000>
                translate <-498.598482,255.771000,25.047410>
            }  // end Object_Array20

            union {  // Object_Array21
                #declare Count = 0;
                #while( Count < 14 )
                    #declare Factor = cos(1.570796+Count*0.224399);
                    object{ Angle_Iron3
                        rotate <0.0,0.0,0.000000*Count>
                        rotate<0.0,0.000000*Count,0.0>
                        rotate <0.000000*Count,0.0,0.0>
                        scale <pow(1.000000,Count)*Factor,pow(1.000000,Count),pow(1.000000,Count)*Factor>
                        rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                        rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                        translate <0.000000*Count,6.000000*Count,0.000000*Count>
                        rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                    }
                    #declare Count = Count + 1;
                #end
                scale     <0.250000,1.000000,0.250000>
                rotate    <-39.975261,7.065330,25.326000>
                translate <-463.705000,199.982549,35.480000>
            }  // end Object_Array21

            union {  // Object_Array22
                #declare Count = 0;
                #while( Count < 19 )
                    #declare Factor = cos(1.570796+Count*0.165347);
                    object{ Angle_Iron3
                        rotate <0.0,0.0,0.000000*Count>
                        rotate<0.0,0.000000*Count,0.0>
                        rotate <0.000000*Count,0.0,0.0>
                        scale <pow(1.000000,Count)*Factor,pow(1.000000,Count),pow(1.000000,Count)*Factor>
                        rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                        rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                        translate <0.000000*Count,6.000000*Count,0.000000*Count>
                        rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                    }
                    #declare Count = Count + 1;
                #end
                scale     <0.250000,0.950000,0.250000>
                rotate    <-42.106000,6.153000,25.232000>
                translate <-422.870316,134.651000,43.978000>
            }  // end Object_Array22

        }  // end OpenStrutBraces_2

        union {  // OpenStrutBraces_1
            union {  // Object_Array17
                #declare Count = 0;
                #while( Count < 12 )
                    #declare Factor = cos(1.570796+Count*0.261799);
                    object{ Angle_Iron3
                        rotate <0.0,0.0,0.000000*Count>
                        rotate<0.0,0.000000*Count,0.0>
                        rotate <0.000000*Count,0.0,0.0>
                        scale <pow(1.000000,Count)*Factor,pow(1.000000,Count),pow(1.000000,Count)*Factor>
                        rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                        rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                        translate <0.000000*Count,6.000000*Count,0.000000*Count>
                        rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                    }
                    #declare Count = Count + 1;
                #end
                scale     <0.250000,1.000000,0.250000>
                rotate    <-30.942593,8.764262,27.565000>
                translate <-384.205736,265.967000,24.263000>
            }  // end Object_Array17

            union {  // Object_Array18
                #declare Count = 0;
                #while( Count < 18 )
                    #declare Factor = cos(1.570796+Count*0.174533);
                    object{ Angle_Iron3
                        rotate <0.0,0.0,0.000000*Count>
                        rotate<0.0,0.000000*Count,0.0>
                        rotate <0.000000*Count,0.0,0.0>
                        scale <pow(1.000000,Count)*Factor,pow(1.000000,Count),pow(1.000000,Count)*Factor>
                        rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                        rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                        translate <0.000000*Count,6.000000*Count,0.000000*Count>
                        rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                    }
                    #declare Count = Count + 1;
                #end
                scale     <0.250000,1.000000,0.250000>
                rotate    <-31.457622,8.095000,26.297561>
                translate <-337.136000,188.217525,33.613000>
            }  // end Object_Array18

            union {  // Object_Array19
                #declare Count = 0;
                #while( Count < 23 )
                    #declare Factor = cos(1.570796+Count*0.136591);
                    object{ Angle_Iron3
                        rotate <0.0,0.0,0.000000*Count>
                        rotate<0.0,0.000000*Count,0.0>
                        rotate <0.000000*Count,0.0,0.0>
                        scale <pow(1.000000,Count)*Factor,pow(1.000000,Count),pow(1.000000,Count)*Factor>
                        rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                        rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                        translate <0.000000*Count,6.000000*Count,0.000000*Count>
                        rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                    }
                    #declare Count = Count + 1;
                #end
                scale     <0.250000,0.950000,0.250000>
                rotate    <-35.336000,6.999312,26.580000>
                translate <-279.644736,93.841000,47.835403>
            }  // end Object_Array19

        }  // end OpenStrutBraces_1

        union {  // OpenStrutBraces_0
            union {  // Object_Array16
                #declare Count = 0;
                #while( Count < 19 )
                    #declare Factor = cos(1.570796+Count*0.165347);
                    object{ Angle_Iron3
                        rotate <0.0,0.0,0.000000*Count>
                        rotate<0.0,0.000000*Count,0.0>
                        rotate <0.000000*Count,0.0,0.0>
                        scale <pow(1.000000,Count)*Factor,pow(1.000000,Count),pow(1.000000,Count)*Factor>
                        rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                        rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                        translate <0.000000*Count,6.000000*Count,0.000000*Count>
                        rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                    }
                    #declare Count = Count + 1;
                #end
                scale     <0.250000,1.000000,0.250000>
                rotate    <-23.794000,7.955000,25.577559>
                translate <-224.461700,279.333008,29.243618>
            }  // end Object_Array16

            union {  // Object_Array15
                #declare Count = 0;
                #while( Count < 23 )
                    #declare Factor = cos(1.570796+Count*0.136591);
                    object{ Angle_Iron3
                        rotate <0.0,0.0,0.000000*Count>
                        rotate<0.0,0.000000*Count,0.0>
                        rotate <0.000000*Count,0.0,0.0>
                        scale <pow(1.000000,Count)*Factor,pow(1.000000,Count),pow(1.000000,Count)*Factor>
                        rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                        rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                        translate <0.000000*Count,6.000000*Count,0.000000*Count>
                        rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                    }
                    #declare Count = Count + 1;
                #end
                scale     <0.250000,1.000000,0.250000>
                rotate    <-24.640729,7.955000,25.577559>
                translate <-165.619458,174.103529,35.606399>
            }  // end Object_Array15

            union {  // Object_Array14
                #declare Count = 0;
                #while( Count < 34 )
                    #declare Factor = cos(1.570796+Count*0.092400);
                    object{ Angle_Iron3
                        rotate <0.0,0.0,0.000000*Count>
                        rotate<0.0,0.000000*Count,0.0>
                        rotate <0.000000*Count,0.0,0.0>
                        scale <pow(1.000000,Count)*Factor,pow(1.000000,Count),pow(1.000000,Count)*Factor>
                        rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                        rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                        translate <0.000000*Count,6.000000*Count,0.000000*Count>
                        rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                    }
                    #declare Count = Count + 1;
                #end
                scale     <0.250000,1.000000,0.250000>
                rotate    <-24.313555,7.792472,25.206278>
                translate <-76.065579,11.057000,51.146595>
            }  // end Object_Array14

        }  // end OpenStrutBraces_0

        texture{ SMcA_Red1 }
    }  // end OpenStrutBraces0

    union {  // SolidStruts0
        object {  // Reference16
            Cylinder0_Local0
            scale     <0.540000,1.000000,1.000000>
            rotate    <2.660605,15.000000,142.488998>
            translate <-617.922430,174.593338,-14.067496>
        }  // end Reference16

        object {  // Reference15
            Cylinder0_Local0
            scale     <0.720000,1.000000,1.000000>
            rotate    <1.764000,11.500000,137.960548>
            translate <-543.172000,168.843298,-14.067496>
        }  // end Reference15

        object {  // Reference14
            Cylinder0_Local0
            scale     <0.958000,1.000000,1.000000>
            rotate    <0.448000,8.500000,131.000000>
            translate <-455.153000,156.188000,-10.872000>
        }  // end Reference14

        object {  // Reference13a
            Cylinder0_Local0
            scale     <1.325000,1.000000,1.000000>
            rotate    <3.181697,7.939710,122.288000>
            translate <-350.931641,130.805298,-8.072000>
        }  // end Reference13a

        object {  // Reference13
            Cylinder0_Local0
            scale     <1.940000,1.000000,1.000000>
            rotate    <1.816393,5.233681,121.359721>
            translate <-206.078491,86.151337,-8.072000>
        }  // end Reference13

        object {  // Reference12
            Cylinder0_Local0
            scale     <2.945000,1.000000,1.000000>
            rotate    <0.000000,4.600000,119.079000>
        }  // end Reference12

        texture{ SMcA_Red1 }
        translate <-72.122284,4.808000,50.962000>
    }  // end SolidStruts0

    union {  // ViaductStruts0
        union {  // V_SolidStruts0
            object {  // Reference38
                Cylinder0_Local0
                scale     <0.275000,1.000000,1.000000>
                rotate    <-90.000000,67.625999,90.000000>
                translate <-531.123413,163.005325,39.170267>
            }  // end Reference38

            object {  // Reference37
                Cylinder0_Local0
                scale     <0.425000,1.000000,1.000000>
                rotate    <-90.000000,45.765999,90.000000>
                translate <-424.520569,137.922302,42.406000>
            }  // end Reference37

            object {  // Reference36
                Cylinder0_Local0
                scale     <0.675000,1.000000,1.000000>
                rotate    <-90.000000,25.378000,90.000000>
                translate <-279.039001,94.027000,44.563000>
            }  // end Reference36

            texture{ SMcA_Red1 }
        }  // end V_SolidStruts0

        union {  // V_OpenStruts0
            union {  // Object_Array13
                #declare Count = 0;
                #while( Count < 14 )
                    #declare Factor = cos(0.000000+Count*0.000000);
                    object{ Angle_Iron2
                        rotate <0.0,0.0,0.000000*Count>
                        rotate<0.0,0.000000*Count,0.0>
                        rotate <0.000000*Count,0.0,0.0>
                        scale <pow(1.000000,Count),pow(1.000000,Count),pow(1.000000,Count)>
                        rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                        rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                        translate <0.000000*Count,6.000000*Count,0.000000*Count>
                        rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                    }
                    #declare Count = Count + 1;
                #end
                rotate    <-6.671606,0.000000,0.000000>
                translate <-486.893406,151.846000,37.091000>
            }  // end Object_Array13

            union {  // Object_Array12
                #declare Count = 0;
                #while( Count < 9 )
                    #declare Factor = cos(0.000000+Count*0.000000);
                    object{ Angle_Iron2
                        rotate <0.0,0.0,0.000000*Count>
                        rotate<0.0,0.000000*Count,0.0>
                        rotate <0.000000*Count,0.0,0.0>
                        scale <pow(1.000000,Count),pow(1.000000,Count),pow(1.000000,Count)>
                        rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                        rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                        translate <0.000000*Count,6.000000*Count,0.000000*Count>
                        rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                    }
                    #declare Count = Count + 1;
                #end
                rotate    <-33.999000,0.000000,0.000000>
                translate <-367.004355,116.669000,39.782000>
            }  // end Object_Array12

            union {  // Object_Array11
                #declare Count = 0;
                #while( Count < 20 )
                    #declare Factor = cos(0.000000+Count*0.000000);
                    object{ Angle_Iron2
                        rotate <0.0,0.0,0.000000*Count>
                        rotate<0.0,0.000000*Count,0.0>
                        rotate <0.000000*Count,0.0,0.0>
                        scale <pow(1.000000,Count),pow(1.000000,Count),pow(1.000000,Count)>
                        rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                        rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                        translate <0.000000*Count,6.000000*Count,0.000000*Count>
                        rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                    }
                    #declare Count = Count + 1;
                #end
                rotate    <-5.323558,0.000000,0.000000>
                translate <-367.004355,116.669000,39.782000>
            }  // end Object_Array11

            union {  // Object_Array10
                #declare Count = 0;
                #while( Count < 30 )
                    #declare Factor = cos(0.000000+Count*0.000000);
                    object{ Angle_Iron2
                        rotate <0.0,0.0,0.000000*Count>
                        rotate<0.0,0.000000*Count,0.0>
                        rotate <0.000000*Count,0.0,0.0>
                        scale <pow(1.000000,Count),pow(1.000000,Count),pow(1.000000,Count)>
                        rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                        rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                        translate <0.000000*Count,6.000000*Count,0.000000*Count>
                        rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                    }
                    #declare Count = Count + 1;
                #end
                rotate    <-5.832000,0.000000,0.000000>
                translate <-199.733994,54.211632,43.686001>
            }  // end Object_Array10

            union {  // Object_Array3
                #declare Count = 0;
                #while( Count < 23 )
                    #declare Factor = cos(0.000000+Count*0.000000);
                    object{ Angle_Iron2
                        rotate <0.0,0.0,0.000000*Count>
                        rotate<0.0,0.000000*Count,0.0>
                        rotate <0.000000*Count,0.0,0.0>
                        scale <pow(1.000000,Count),pow(1.000000,Count),pow(1.000000,Count)>
                        rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                        rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                        translate <0.000000*Count,6.000000*Count,0.000000*Count>
                        rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                    }
                    #declare Count = Count + 1;
                #end
                rotate    <-23.112737,0.000000,0.000000>
                translate <-199.734000,54.211631,43.686000>
            }  // end Object_Array3

            object {  // Reference35
                Cylinder0_Local0
                scale     <0.220000,1.000000,1.000000>
                rotate    <0.000000,-90.000000,0.000000>
                translate <-619.278270,176.974000,0.004665>
            }  // end Reference35

            object {  // Reference34
                Cylinder0_Local0
                scale     <0.220000,1.000000,1.000000>
                rotate    <0.000000,-90.000000,0.000000>
                translate <-485.117000,176.974000,0.004665>
            }  // end Reference34

            object {  // Reference33
                Cylinder0_Local0
                scale     <0.220000,1.000000,1.000000>
                rotate    <0.000000,-90.000000,0.000000>
                translate <-364.625000,176.596443,0.004665>
            }  // end Reference33

            object {  // Reference32
                Cylinder0_Local0
                scale     <0.220000,1.000000,1.000000>
                rotate    <0.000000,-90.000000,0.000000>
                translate <-196.265000,176.801000,0.004665>
            }  // end Reference32

            texture{ SMcA_Red1 }
        }  // end V_OpenStruts0

    }  // end ViaductStruts0

    union {  // OpenStruts0
        difference {  // CSG4
            union {  // Object_Array5
                #declare Count = 0;
                #while( Count < 14 )
                    #declare Factor = cos(0.000000+Count*0.000000);
                    object{ Angle_Iron1
                        rotate <0.0,0.0,0.000000*Count>
                        rotate<0.0,0.000000*Count,0.0>
                        rotate <0.000000*Count,0.0,0.0>
                        scale <pow(1.000000,Count),pow(1.000000,Count),pow(1.000000,Count)>
                        rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                        rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                        translate <0.000000*Count,6.000000*Count,0.000000*Count>
                        rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                    }
                    #declare Count = Count + 1;
                #end
                rotate    <-16.000000,0.000000,-39.008999>
                translate <-752.578674,178.592484,35.243000>
            }  // end Object_Array5

            box {  // Box4
                < -0.5000000, -0.5000000, -0.5000000 >, < 0.5000000, 0.5000000, 0.5000000 >
                scale     <10.600000,6.600000,10.600000>
                translate <-748.850351,175.341534,37.245554>
            }  // end Box4

        }  // end CSG4

        union {  // Object_Array4
            #declare Count = 0;
            #while( Count < 20 )
                #declare Factor = cos(0.000000+Count*0.000000);
                object{ Angle_Iron1
                    rotate <0.0,0.0,0.000000*Count>
                    rotate<0.0,0.000000*Count,0.0>
                    rotate <0.000000*Count,0.0,0.0>
                    scale <pow(1.000000,Count),pow(1.000000,Count),pow(1.000000,Count)>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                    translate <0.000000*Count,6.000000*Count,0.000000*Count>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                }
                #declare Count = Count + 1;
            #end
            rotate    <-9.949000,0.000000,-39.848521>
            translate <-696.242000,178.592484,33.405000>
        }  // end Object_Array4

        union {  // Object_Array2
            #declare Count = 0;
            #while( Count < 33 )
                #declare Factor = cos(0.000000+Count*0.000000);
                object{ Angle_Iron1
                    rotate <0.0,0.0,0.000000*Count>
                    rotate<0.0,0.000000*Count,0.0>
                    rotate <0.000000*Count,0.0,0.0>
                    scale <pow(1.000000,Count),pow(1.000000,Count),pow(1.000000,Count)>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                    translate <0.000000*Count,6.000000*Count,0.000000*Count>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                }
                #declare Count = Count + 1;
            #end
            rotate    <-6.581653,1.276000,-32.082660>
            translate <-532.575989,164.434006,36.292000>
        }  // end Object_Array2

        union {  // Object_Array1
            #declare Count = 0;
            #while( Count < 47 )
                #declare Factor = cos(0.000000+Count*0.000000);
                object{ Angle_Iron1
                    rotate <0.0,0.0,0.000000*Count>
                    rotate<0.0,0.000000*Count,0.0>
                    rotate <0.000000*Count,0.0,0.0>
                    scale <pow(1.000000,Count),pow(1.000000,Count),pow(1.000000,Count)>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                    translate <0.000000*Count,6.000000*Count,0.000000*Count>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                }
                #declare Count = Count + 1;
            #end
            rotate    <-5.250000,0.000000,-30.542000>
            translate <-427.018005,135.027740,39.590000>
        }  // end Object_Array1

        union {  // Object_Array0
            #declare Count = 0;
            #while( Count < 69 )
                #declare Factor = cos(0.000000+Count*0.000000);
                object{ Angle_Iron1
                    rotate <0.0,0.0,0.000000*Count>
                    rotate<0.0,0.000000*Count,0.0>
                    rotate <0.000000*Count,0.0,0.0>
                    scale <pow(1.000000,Count),pow(1.000000,Count),pow(1.000000,Count)>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                    translate <0.000000*Count,6.000000*Count,0.000000*Count>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                }
                #declare Count = Count + 1;
            #end
            rotate    <-4.249350,0.074000,-30.253000>
            translate <-282.078003,88.331001,39.590000>
        }  // end Object_Array0

        texture{ SMcA_Red1 }
    }  // end OpenStruts0

    union {  // BottomBrace0
        union {  // Object_Array38
            #declare Count = 0;
            #while( Count < 14 )
                #declare Factor = cos(0.000000+Count*0.000000);
                object{ Angle_Iron1
                    rotate <0.0,0.0,0.000000*Count>
                    rotate<0.0,0.000000*Count,0.0>
                    rotate <0.000000*Count,0.0,0.0>
                    scale <pow(1.000000,Count),pow(1.000000,Count),pow(1.000000,Count)>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                    translate <0.000000*Count,6.000000*Count,0.000000*Count>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                }
                #declare Count = Count + 1;
            #end
            rotate    <-83.908263,33.405737,10.227000>
            translate <-704.435543,174.615283,36.542000>
        }  // end Object_Array38

        union {  // Object_Array37
            #declare Count = 0;
            #while( Count < 15 )
                #declare Factor = cos(0.000000+Count*0.000000);
                object{ Angle_Iron1
                    rotate <0.0,0.0,0.000000*Count>
                    rotate<0.0,0.000000*Count,0.0>
                    rotate <0.000000*Count,0.0,0.0>
                    scale <pow(1.000000,Count),pow(1.000000,Count),pow(1.000000,Count)>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                    translate <0.000000*Count,6.000000*Count,0.000000*Count>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                }
                #declare Count = Count + 1;
            #end
            rotate    <-83.974000,32.883369,5.997000>
            translate <-659.677979,172.694626,39.925999>
        }  // end Object_Array37

        union {  // Object_Array36
            #declare Count = 0;
            #while( Count < 15 )
                #declare Factor = cos(0.000000+Count*0.000000);
                object{ Angle_Iron1
                    rotate <0.0,0.0,0.000000*Count>
                    rotate<0.0,0.000000*Count,0.0>
                    rotate <0.000000*Count,0.0,0.0>
                    scale <pow(1.000000,Count),pow(1.000000,Count),pow(1.000000,Count)>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                    translate <0.000000*Count,6.000000*Count,0.000000*Count>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                }
                #declare Count = Count + 1;
            #end
            rotate    <-83.974000,32.883369,5.997000>
            translate <-617.453513,169.917575,39.926000>
        }  // end Object_Array36

        union {  // Object_Array35
            #declare Count = 0;
            #while( Count < 15 )
                #declare Factor = cos(0.000000+Count*0.000000);
                object{ Angle_Iron1
                    rotate <0.0,0.0,0.000000*Count>
                    rotate<0.0,0.000000*Count,0.0>
                    rotate <0.000000*Count,0.0,0.0>
                    scale <pow(1.000000,Count),pow(1.000000,Count),pow(1.000000,Count)>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                    translate <0.000000*Count,6.000000*Count,0.000000*Count>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                }
                #declare Count = Count + 1;
            #end
            rotate    <-83.974000,32.883369,2.455000>
            translate <-572.704684,161.608443,39.926000>
        }  // end Object_Array35

        union {  // Object_Array34
            #declare Count = 0;
            #while( Count < 15 )
                #declare Factor = cos(0.000000+Count*0.000000);
                object{ Angle_Iron1
                    rotate <0.0,0.0,0.000000*Count>
                    rotate<0.0,0.000000*Count,0.0>
                    rotate <0.000000*Count,0.0,0.0>
                    scale <pow(1.000000,Count),pow(1.000000,Count),pow(1.000000,Count)>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                    translate <0.000000*Count,6.000000*Count,0.000000*Count>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                }
                #declare Count = Count + 1;
            #end
            rotate    <-83.974000,32.883369,2.455000>
            translate <-530.236023,157.488998,39.925999>
        }  // end Object_Array34

        union {  // Object_Array33
            #declare Count = 0;
            #while( Count < 17 )
                #declare Factor = cos(0.000000+Count*0.000000);
                object{ Angle_Iron1
                    rotate <0.0,0.0,0.000000*Count>
                    rotate<0.0,0.000000*Count,0.0>
                    rotate <0.000000*Count,0.0,0.0>
                    scale <pow(1.000000,Count),pow(1.000000,Count),pow(1.000000,Count)>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                    translate <0.000000*Count,6.000000*Count,0.000000*Count>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                }
                #declare Count = Count + 1;
            #end
            rotate    <-83.780998,38.651352,-4.086000>
            translate <-473.322998,144.182999,41.571999>
        }  // end Object_Array33

        union {  // Object_Array32
            #declare Count = 0;
            #while( Count < 16 )
                #declare Factor = cos(0.000000+Count*0.000000);
                object{ Angle_Iron1
                    rotate <0.0,0.0,0.000000*Count>
                    rotate<0.0,0.000000*Count,0.0>
                    rotate <0.000000*Count,0.0,0.0>
                    scale <pow(1.000000,Count),pow(1.000000,Count),pow(1.000000,Count)>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                    translate <0.000000*Count,6.000000*Count,0.000000*Count>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                }
                #declare Count = Count + 1;
            #end
            rotate    <-83.576406,36.343630,-3.961433>
            translate <-422.032000,130.159697,39.926000>
        }  // end Object_Array32

        union {  // Object_Array31
            #declare Count = 0;
            #while( Count < 19 )
                #declare Factor = cos(0.000000+Count*0.000000);
                object{ Angle_Iron1
                    rotate <0.0,0.0,0.000000*Count>
                    rotate<0.0,0.000000*Count,0.0>
                    rotate <0.000000*Count,0.0,0.0>
                    scale <pow(1.000000,Count),pow(1.000000,Count),pow(1.000000,Count)>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                    translate <0.000000*Count,6.000000*Count,0.000000*Count>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                }
                #declare Count = Count + 1;
            #end
            rotate    <-78.024745,42.048296,-0.652435>
            translate <-351.630000,107.502563,44.863630>
        }  // end Object_Array31

        union {  // Object_Array30
            #declare Count = 0;
            #while( Count < 19 )
                #declare Factor = cos(0.000000+Count*0.000000);
                object{ Angle_Iron1
                    rotate <0.0,0.0,0.000000*Count>
                    rotate<0.0,0.000000*Count,0.0>
                    rotate <0.000000*Count,0.0,0.0>
                    scale <pow(1.000000,Count),pow(1.000000,Count),pow(1.000000,Count)>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                    translate <0.000000*Count,6.000000*Count,0.000000*Count>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                }
                #declare Count = Count + 1;
            #end
            rotate    <-78.024745,42.048296,-0.832000>
            translate <-279.540000,84.553000,44.863630>
        }  // end Object_Array30

        union {  // Object_Array29
            #declare Count = 0;
            #while( Count < 23 )
                #declare Factor = cos(0.000000+Count*0.000000);
                object{ Angle_Iron1
                    rotate <0.0,0.0,0.000000*Count>
                    rotate<0.0,0.000000*Count,0.0>
                    rotate <0.000000*Count,0.0,0.0>
                    scale <pow(1.000000,Count),pow(1.000000,Count),pow(1.000000,Count)>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                    translate <0.000000*Count,6.000000*Count,0.000000*Count>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                }
                #declare Count = Count + 1;
            #end
            rotate    <-78.650609,50.384321,-7.711486>
            translate <-181.781000,44.429363,47.167722>
        }  // end Object_Array29

        union {  // Object_Array28
            #declare Count = 0;
            #while( Count < 25 )
                #declare Factor = cos(0.000000+Count*0.000000);
                object{ Angle_Iron1
                    rotate <0.0,0.0,0.000000*Count>
                    rotate<0.0,0.000000*Count,0.0>
                    rotate <0.000000*Count,0.0,0.0>
                    scale <pow(1.000000,Count),pow(1.000000,Count),pow(1.000000,Count)>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                    translate <0.000000*Count,6.000000*Count,0.000000*Count>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                }
                #declare Count = Count + 1;
            #end
            rotate    <-78.650609,50.384321,-7.009000>
            translate <-77.767418,4.971670,50.788437>
        }  // end Object_Array28

        texture{ SMcA_Red1 }
    }  // end BottomBrace0

    union {  // Main_Lower0
        cone {  // Cone0
            -0.5553380*y,0.460,0.5553380*y,0.250
            scale     <13.000000,60.000000,13.873166>
            rotate    <0.000000,0.000000,90.000000>
            translate <-723.714325,177.475723,16.468000>
        }  // end Cone0

        object {  // Reference8
            Cylinder0_Local0
            scale     <0.500000,3.000000,3.000000>
            rotate    <0.000000,0.000000,-4.000000>
            translate <-690.757690,177.475723,16.468000>
        }  // end Reference8

        object {  // Reference9
            Cylinder0_Local0
            scale     <0.630000,3.000000,3.000000>
            rotate    <0.000000,0.000000,-8.000000>
            translate <-619.662735,172.514000,16.468000>
        }  // end Reference9

        object {  // Reference10
            Cylinder0_Local0
            scale     <0.775000,3.000000,3.000000>
            rotate    <0.000000,0.000000,-14.000000>
            translate <-531.548000,160.209000,16.468000>
        }  // end Reference10

        object {  // Reference10a
            Cylinder0_Local0
            scale     <1.050000,3.000000,3.000000>
            rotate    <0.000000,0.000000,-17.872364>
            translate <-423.725006,133.307007,16.468000>
        }  // end Reference10a

        object {  // Reference11
            Cylinder0_Local0
            scale     <1.560000,3.000000,3.000000>
            rotate    <0.000000,0.000000,-22.231541>
            translate <-279.519501,87.169998,16.468000>
        }  // end Reference11

        texture{ SMcA_Red1 }
        rotate    <-4.594271,0.000000,0.000000>
        translate <0.000000,0.000000,34.901314>
    }  // end Main_Lower0

}  // end Side0

#declare Cantilever0 =
union {
    object {  // Reference1
        CantileverEnd0
        translate <-750.802979,185.403000,0.000000>
    }  // end Reference1

    union {  // TopCross0
        union {  // Object_Array44
            #declare Count = 0;
            #while( Count < 7 )
                #declare Factor = cos(0.000000+Count*0.000000);
                object{ Angle_Iron1
                    rotate <0.0,0.0,0.000000*Count>
                    rotate<0.0,0.000000*Count,0.0>
                    rotate <0.000000*Count,0.0,0.0>
                    scale <pow(1.000000,Count),pow(1.000000,Count),pow(1.000000,Count)>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                    translate <0.000000*Count,6.000000*Count,0.000000*Count>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                }
                #declare Count = Count + 1;
            #end
            scale     <1.000000,0.925000,1.000000>
            rotate    <-90.000000,0.000000,19.800000>
            translate <-184.183742,409.677675,19.460322>
        }  // end Object_Array44

        union {  // Object_Array42
            #declare Count = 0;
            #while( Count < 7 )
                #declare Factor = cos(0.000000+Count*0.000000);
                object{ Angle_Iron1
                    rotate <0.0,0.0,0.000000*Count>
                    rotate<0.0,0.000000*Count,0.0>
                    rotate <0.000000*Count,0.0,0.0>
                    scale <pow(1.000000,Count),pow(1.000000,Count),pow(1.000000,Count)>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                    translate <0.000000*Count,6.000000*Count,0.000000*Count>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                }
                #declare Count = Count + 1;
            #end
            scale     <1.000000,0.925000,1.000000>
            rotate    <-90.000000,0.000000,19.800000>
            translate <-282.243366,377.008000,19.460322>
        }  // end Object_Array42

        union {  // Object_Array43
            #declare Count = 0;
            #while( Count < 7 )
                #declare Factor = cos(0.000000+Count*0.000000);
                object{ Angle_Iron1
                    rotate <0.0,0.0,0.000000*Count>
                    rotate<0.0,0.000000*Count,0.0>
                    rotate <0.000000*Count,0.0,0.0>
                    scale <pow(1.000000,Count),pow(1.000000,Count),pow(1.000000,Count)>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                    translate <0.000000*Count,6.000000*Count,0.000000*Count>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                }
                #declare Count = Count + 1;
            #end
            scale     <1.000000,0.925000,1.000000>
            rotate    <-90.000000,0.000000,19.800000>
            translate <-426.439000,330.202306,19.460322>
        }  // end Object_Array43

        union {  // Object_Array41
            #declare Count = 0;
            #while( Count < 7 )
                #declare Factor = cos(0.000000+Count*0.000000);
                object{ Angle_Iron1
                    rotate <0.0,0.0,0.000000*Count>
                    rotate<0.0,0.000000*Count,0.0>
                    rotate <0.000000*Count,0.0,0.0>
                    scale <pow(1.000000,Count),pow(1.000000,Count),pow(1.000000,Count)>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                    translate <0.000000*Count,6.000000*Count,0.000000*Count>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                }
                #declare Count = Count + 1;
            #end
            scale     <1.000000,0.925000,1.000000>
            rotate    <-90.000000,0.000000,19.800000>
            translate <-529.062268,295.316459,19.460322>
        }  // end Object_Array41

        union {  // Object_Array40
            #declare Count = 0;
            #while( Count < 7 )
                #declare Factor = cos(0.000000+Count*0.000000);
                object{ Angle_Iron1
                    rotate <0.0,0.0,0.000000*Count>
                    rotate<0.0,0.000000*Count,0.0>
                    rotate <0.000000*Count,0.0,0.0>
                    scale <pow(1.000000,Count),pow(1.000000,Count),pow(1.000000,Count)>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                    translate <0.000000*Count,6.000000*Count,0.000000*Count>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                }
                #declare Count = Count + 1;
            #end
            scale     <1.000000,0.925000,1.000000>
            rotate    <-90.000000,0.000000,19.800000>
            translate <-621.219693,265.954000,19.460322>
        }  // end Object_Array40

        union {  // Object_Array39
            #declare Count = 0;
            #while( Count < 7 )
                #declare Factor = cos(0.000000+Count*0.000000);
                object{ Angle_Iron1
                    rotate <0.0,0.0,0.000000*Count>
                    rotate<0.0,0.000000*Count,0.0>
                    rotate <0.000000*Count,0.0,0.0>
                    scale <pow(1.000000,Count),pow(1.000000,Count),pow(1.000000,Count)>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                    translate <0.000000*Count,6.000000*Count,0.000000*Count>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                }
                #declare Count = Count + 1;
            #end
            scale     <1.000000,0.925000,1.000000>
            rotate    <-90.000000,0.000000,19.800000>
            translate <-695.063452,241.853000,19.460322>
        }  // end Object_Array39

        texture{ SMcA_Red1 }
    }  // end TopCross0

    union {  // ViaductWax0
        #declare Count = 0;
        #while( Count < 30 )
            #declare Factor = cos(0.000000+Count*0.000000);
            object{ ViaductBase0
                rotate <0.0,0.0,0.000000*Count>
                rotate<0.0,0.000000*Count,0.0>
                rotate <0.000000*Count,0.0,0.0>
                scale <pow(1.000000,Count),pow(1.000000,Count),pow(1.000000,Count)>
                rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                rotate <0.000000*Count,0.000000,0.000000*Count>
                translate <24.000000*Count,0.000000*Count,0.000000*Count>
                rotate <0.000000*Count,0.000000*Count,0.000000*Count>
            }
            #declare Count = Count + 1;
        #end
        texture{ SMcA_Red1 }
        scale     <0.993000,1.000000,1.000000>
        translate <-738.779375,-6.462000,-3.039000>
        inverse
    }  // end ViaductWax0

    object {  // Reference27
        Side0
        scale     <1.000000,1.000000,-1.000000>
    }  // end Reference27

    object{ Side0 }

}  // end Cantilever0

#declare Unit1 =
union {
    box {  // Cross1
        < -0.5000000, -0.5000000, -0.5000000 >, < 0.5000000, 0.5000000, 0.5000000 >
        scale     <0.100000,10.220000,0.500000>
        rotate    <45.000000,0.000000,0.000000>
        translate <-0.125000,4.430449,0.000000>
    }  // end Cross1

    box {  // Vert1
        < -0.5000000, -0.5000000, -0.5000000 >, < 0.5000000, 0.5000000, 0.5000000 >
        scale     <1.000000,0.083333,11.999999>
        rotate    <0.000000,0.000000,90.000000>
        translate <0.000000,0.500000,0.000000>
    }  // end Vert1

    box {  // Horiz1
        < -0.5000000, -0.5000000, -0.5000000 >, < 0.5000000, 0.5000000, 0.5000000 >
        scale     <1.000000,0.083333,11.999999>
    }  // end Horiz1

    translate <0.000000,-4.396000,0.000000>
}  // end Unit1

#declare Unit1_X_2_0 =
union {
    object {  // Reference5
        Unit1
        scale     <-1.000000,-1.000000,1.000000>
    }  // end Reference5

    object{ Unit1 }

}  // end Unit1_X_2_0

#declare Unit1_X_4_0 =
union {
    object{ Unit1_X_2_0 }

    object {  // Reference6
        Unit1_X_2_0
        translate <4.000000,0.000000,0.000000>
    }  // end Reference6

    texture{ SMcA_Red1 }
}  // end Unit1_X_4_0

#declare Base_0 =
cone {
    -0.5000000*y,0.500,0.5000000*y,0.425
    material{ TdG_LightBandedSandstone }
    scale     <25.000000,25.000000,25.000000>
    rotate    <4.350000,0.000000,0.000000>
    translate <-70.754000,-16.398639,39.390695>
}  // end Base_0

#declare TowerStrutBraces_0 =
union {
    union {  // Object_Array25
        #declare Count = 0;
        #while( Count < 18 )
            #declare Factor = cos(1.570796+Count*0.174533);
            object{ Angle_Iron3
                rotate <0.0,0.0,0.000000*Count>
                rotate<0.0,0.000000*Count,0.0>
                rotate <0.000000*Count,0.0,0.0>
                scale <pow(1.000000,Count)*Factor,pow(1.000000,Count),pow(1.000000,Count)*Factor>
                rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                translate <0.000000*Count,6.000000*Count,0.000000*Count>
                rotate <0.000000*Count,0.000000*Count,0.000000*Count>
            }
            #declare Count = Count + 1;
        #end
        scale     <0.250000,1.000000,0.250000>
        rotate    <-25.385445,6.991715,-2.059570>
        translate <-71.044000,296.784000,30.200444>
    }  // end Object_Array25

    union {  // Object_Array26
        #declare Count = 0;
        #while( Count < 23 )
            #declare Factor = cos(1.570796+Count*0.136591);
            object{ Angle_Iron3
                rotate <0.0,0.0,0.000000*Count>
                rotate<0.0,0.000000*Count,0.0>
                rotate <0.000000*Count,0.0,0.0>
                scale <pow(1.000000,Count)*Factor,pow(1.000000,Count),pow(1.000000,Count)*Factor>
                rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                translate <0.000000*Count,6.000000*Count,0.000000*Count>
                rotate <0.000000*Count,0.000000*Count,0.000000*Count>
            }
            #declare Count = Count + 1;
        #end
        scale     <0.250000,1.000000,0.250000>
        rotate    <-27.273653,6.263000,-3.336000>
        translate <-71.044000,174.103529,37.385410>
    }  // end Object_Array26

    union {  // Object_Array27
        #declare Count = 0;
        #while( Count < 29 )
            #declare Factor = cos(1.570796+Count*0.108331);
            object{ Angle_Iron3
                rotate <0.0,0.0,0.000000*Count>
                rotate<0.0,0.000000*Count,0.0>
                rotate <0.000000*Count,0.0,0.0>
                scale <pow(1.000000,Count)*Factor,pow(1.000000,Count),pow(1.000000,Count)*Factor>
                rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                translate <0.000000*Count,6.000000*Count,0.000000*Count>
                rotate <0.000000*Count,0.000000*Count,0.000000*Count>
            }
            #declare Count = Count + 1;
        #end
        scale     <0.250000,1.000000,0.250000>
        rotate    <-30.929000,-2.427729,1.923306>
        translate <-71.044000,11.057000,49.452000>
    }  // end Object_Array27

}  // end TowerStrutBraces_0

#declare Ref_Diag0 =
object {
    Cylinder0_Local0
    scale     <3.150000,1.000000,1.000000>
    rotate    <0.000000,0.000000,108.400002>
    translate <74.049370,1.843000,38.851002>
}  // end Ref_Diag0

#declare TowerSide0 =
union {
    union {  // Top0
        union {  // Object_TopLong0
            #declare Count = 0;
            #while( Count < 12 )
                #declare Factor = cos(0.000000+Count*0.000000);
                object{ Unit0_X_4_0
                    rotate <0.0,0.0,0.000000*Count>
                    rotate<0.0,0.000000*Count,0.0>
                    rotate <0.000000*Count,0.0,0.0>
                    scale <pow(1.000000,Count),pow(1.000000,Count),pow(1.000000,Count)>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                    translate <0.000000*Count,0.000000*Count,11.999999*Count>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                }
                #declare Count = Count + 1;
            #end
            scale     <1.000000,1.000000,1.010000>
            rotate    <0.000000,90.189751,0.000000>
            translate <-64.764999,446.468994,41.142345>
        }  // end Object_TopLong0

        union {  // Object_TopShort0
            #declare Count = 0;
            #while( Count < 3 )
                #declare Factor = cos(0.000000+Count*0.000000);
                object{ Unit0_X_4_0
                    rotate <0.0,0.0,0.000000*Count>
                    rotate<0.0,0.000000*Count,0.0>
                    rotate <0.000000*Count,0.0,0.0>
                    scale <pow(1.000000,Count),pow(1.000000,Count),pow(1.000000,Count)>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                    translate <0.000000*Count,0.000000*Count,11.999999*Count>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                }
                #declare Count = Count + 1;
            #end
            rotate    <-4.000000,180.000000,0.000000>
            translate <-67.722329,446.806000,34.868000>
        }  // end Object_TopShort0

    }  // end Top0

    union {  // Base0
        object {  // Reference49
            Base_0
            scale     <-1.000000,1.000000,1.000000>
            translate <5.000000,0.000000,0.000000>
        }  // end Reference49

        object{ Base_0 }

    }  // end Base0

    union {  // TowerStrutBraces0
        object {  // Reference48
            TowerStrutBraces_0
            translate <144.830688,0.000000,0.000000>
        }  // end Reference48

        object{ TowerStrutBraces_0 }

        rotate    <4.350000,0.000000,0.000000>
        translate <2.374591,0.000000,-11.300531>
    }  // end TowerStrutBraces0

    object {  // Ref_Diag1
        Ref_Diag0
        scale     <-1.000000,1.000000,1.000000>
        translate <4.000000,0.000000,0.000000>
    }  // end Ref_Diag1

    object{ Ref_Diag0 }

    union {  // Object_Base0
        #declare Count = 0;
        #while( Count < 1 )
            #declare Factor = cos(0.000000+Count*0.000000);
            object{ Cylinder0_Local0
                rotate <0.0,0.0,0.000000*Count>
                rotate<0.0,0.000000*Count,0.0>
                rotate <0.000000*Count,0.0,0.0>
                scale <pow(1.000000,Count),1.000000,pow(1.000000,Count)>
                rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                rotate <0.000000*Count,0.000000*Count,0.000000>
                translate <145.000000*Count,0.000000*Count,0.000000*Count>
                rotate <0.000000*Count,0.000000*Count,0.000000*Count>
            }
            #declare Count = Count + 1;
        #end
        scale     <1.029000,3.000000,3.000000>
        rotate    <-2.000000,0.000000,0.000000>
        translate <-72.388527,2.125000,39.742001>
    }  // end Object_Base0

    union {  // Object_Vert0
        #declare Count = 0;
        #while( Count < 2 )
            #declare Factor = cos(0.000000+Count*0.000000);
            object{ Cylinder0_Local0
                rotate <0.0,0.0,0.000000*Count>
                rotate<0.0,0.000000*Count,0.0>
                rotate <0.000000*Count,0.0,0.0>
                scale <1.000000,1.250000,1.250000>
                rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                rotate <0.000000*Count,0.000000*Count,90.000000>
                translate <145.000000*Count,0.000000*Count,0.000000*Count>
                rotate <0.000000*Count,0.000000*Count,0.000000*Count>
            }
            #declare Count = Count + 1;
        #end
        scale     <1.000000,3.110000,1.000000>
        translate <-70.375000,0.000000,39.742001>
    }  // end Object_Vert0

    texture{ SMcA_Red1 }
    rotate    <-4.350000,0.000000,0.000000>
    translate <-2.374591,0.000000,11.300531>
}  // end TowerSide0

#declare Tower0 =
union {
    union {  // Mid_Struts0
        union {  // Object_MidLong4
            #declare Count = 0;
            #while( Count < 9 )
                #declare Factor = cos(0.000000+Count*0.000000);
                object{ Unit1_X_4_0
                    rotate <0.0,0.0,0.000000*Count>
                    rotate<0.0,0.000000*Count,0.0>
                    rotate <0.000000*Count,0.0,0.0>
                    scale <pow(1.000000,Count),pow(1.000000,Count),pow(1.000000,Count)>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                    translate <0.000000*Count,0.000000*Count,12.000000*Count>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                }
                #declare Count = Count + 1;
            #end
            scale     <1.000000,1.000000,0.940000>
            rotate    <0.000000,-132.835000,0.000000>
            translate <69.625342,220.000000,27.967000>
        }  // end Object_MidLong4

        union {  // Object_MidLong5
            #declare Count = 0;
            #while( Count < 9 )
                #declare Factor = cos(0.000000+Count*0.000000);
                object{ Unit1_X_4_0
                    rotate <0.0,0.0,0.000000*Count>
                    rotate<0.0,0.000000*Count,0.0>
                    rotate <0.000000*Count,0.0,0.0>
                    scale <pow(1.000000,Count),pow(1.000000,Count),pow(1.000000,Count)>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                    translate <0.000000*Count,0.000000*Count,12.000000*Count>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                }
                #declare Count = Count + 1;
            #end
            scale     <1.000000,1.000000,0.940000>
            rotate    <0.000000,46.500000,0.000000>
            translate <-74.886612,220.000000,-28.000000>
        }  // end Object_MidLong5

        union {  // Object_MidLong2
            #declare Count = 0;
            #while( Count < 9 )
                #declare Factor = cos(0.000000+Count*0.000000);
                object{ Unit1_X_4_0
                    rotate <0.0,0.0,0.000000*Count>
                    rotate<0.0,0.000000*Count,0.0>
                    rotate <0.000000*Count,0.0,0.0>
                    scale <pow(1.000000,Count),pow(1.000000,Count),pow(1.000000,Count)>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                    translate <0.000000*Count,0.000000*Count,12.000000*Count>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                }
                #declare Count = Count + 1;
            #end
            scale     <1.000000,1.000000,0.940000>
            rotate    <0.000000,313.000000,0.000000>
            translate <64.335000,220.000000,-33.847360>
        }  // end Object_MidLong2

        union {  // Object_MidLong1
            #declare Count = 0;
            #while( Count < 9 )
                #declare Factor = cos(0.000000+Count*0.000000);
                object{ Unit1_X_4_0
                    rotate <0.0,0.0,0.000000*Count>
                    rotate<0.0,0.000000*Count,0.0>
                    rotate <0.000000*Count,0.0,0.0>
                    scale <pow(1.000000,Count),pow(1.000000,Count),pow(1.000000,Count)>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                    translate <0.000000*Count,0.000000*Count,12.000000*Count>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                }
                #declare Count = Count + 1;
            #end
            scale     <1.000000,1.000000,0.940000>
            rotate    <0.000000,132.835007,0.000000>
            translate <-69.318000,220.000000,33.814000>
        }  // end Object_MidLong1

        union {  // Object_MidLong3
            #declare Count = 0;
            #while( Count < 12 )
                #declare Factor = cos(0.000000+Count*0.000000);
                object{ Unit1_X_4_0
                    rotate <0.0,0.0,0.000000*Count>
                    rotate<0.0,0.000000*Count,0.0>
                    rotate <0.000000*Count,0.0,0.0>
                    scale <pow(1.000000,Count),pow(1.000000,Count),pow(1.000000,Count)>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                    translate <0.000000*Count,0.000000*Count,12.000000*Count>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                }
                #declare Count = Count + 1;
            #end
            scale     <1.000000,1.000000,1.020000>
            rotate    <0.000000,90.000000,0.000000>
            translate <-69.597000,220.000000,-30.442481>
        }  // end Object_MidLong3

        union {  // Object_MidLong0
            #declare Count = 0;
            #while( Count < 12 )
                #declare Factor = cos(0.000000+Count*0.000000);
                object{ Unit1_X_4_0
                    rotate <0.0,0.0,0.000000*Count>
                    rotate<0.0,0.000000*Count,0.0>
                    rotate <0.000000*Count,0.0,0.0>
                    scale <pow(1.000000,Count),pow(1.000000,Count),pow(1.000000,Count)>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                    translate <0.000000*Count,0.000000*Count,12.000000*Count>
                    rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                }
                #declare Count = Count + 1;
            #end
            scale     <1.000000,1.000000,1.020000>
            rotate    <0.000000,90.000000,0.000000>
            translate <-69.597000,220.000000,38.517330>
        }  // end Object_MidLong0

        translate <2.374591,0.000000,0.000000>
    }  // end Mid_Struts0

    union {  // ViaductWax
        #declare Count = 0;
        #while( Count < 6 )
            #declare Factor = cos(0.000000+Count*0.000000);
            object{ ViaductBase0
                rotate <0.0,0.0,0.000000*Count>
                rotate<0.0,0.000000*Count,0.0>
                rotate <0.000000*Count,0.0,0.0>
                scale <pow(1.000000,Count),pow(1.000000,Count),pow(1.000000,Count)>
                rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                rotate <0.000000*Count,0.000000,0.000000*Count>
                translate <24.000000*Count,0.000000*Count,0.000000*Count>
                rotate <0.000000*Count,0.000000*Count,0.000000*Count>
            }
            #declare Count = Count + 1;
        #end
        texture{ SMcA_Red1 }
        scale     <1.040000,1.000000,1.000000>
        translate <-63.250715,-6.462000,-3.039000>
        inverse
    }  // end ViaductWax

    object {  // Reference2
        TowerSide0
        rotate    <0.000000,180.000000,0.000000>
    }  // end Reference2

    object{ TowerSide0 }

}  // end Tower0

#declare BridgeUnit0 =
union {
    object {  // Reference51
        Girder0
        translate <911.358337,-176.464005,-0.612323>
    }  // end Reference51

    union {  // Object_Array8
        #declare Count = 0;
        #while( Count < 63 )
            #declare Factor = cos(0.000000+Count*0.000000);
            object{ ViaductBase0
                rotate <0.0,0.0,0.000000*Count>
                rotate<0.0,0.000000*Count,0.0>
                rotate <0.000000*Count,0.0,0.0>
                scale <pow(1.000000,Count),pow(1.000000,Count),pow(1.000000,Count)>
                rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                rotate <0.000000*Count,0.000000,0.000000*Count>
                translate <24.000000*Count,0.000000*Count,0.000000*Count>
                rotate <0.000000*Count,0.000000*Count,0.000000*Count>
            }
            #declare Count = Count + 1;
        #end
        texture{ SMcA_Red1 }
        scale     <0.993000,1.000000,1.000000>
        translate <172.578964,-182.926010,-3.651323>
        inverse
    }  // end Object_Array8

    object {  // Reference29
        Cantilever0
        translate <911.358276,-176.464005,-0.612323>
    }  // end Reference29

    object {  // Reference28
        Tower0
        scale     <-1.000000,1.000000,1.000000>
        translate <911.358276,-176.464005,-0.612323>
    }  // end Reference28

    object {  // Reference30
        Cantilever0
        scale     <-1.000000,1.000000,1.000000>
        translate <911.358276,-176.464005,-0.612323>
    }  // end Reference30

}  // end BridgeUnit0


// ****************************************************************************
// referenced scene items and forced visible scene items declaration end
// ****************************************************************************

light_source {  // Light_Source0
    < 0.000000, 0.000000, 0.000000 >, colour rgb <1.000,1.000,1.000>*2.000
    fade_power 0.000
    fade_distance 100.000
    media_attenuation off
    media_interaction on
    translate <5000.000000,10000.000000,-10000.000000>
}  // end Light_Source0

union {  // BridgeArrays0
    union {  // Object_Array60
        #declare Count = 0;
        #while( Count < 10 )
            #declare Factor = cos(0.000000+Count*0.000000);
            object{ BridgeUnit0
                rotate <0.0,0.0,0.000000*Count>
                rotate<0.0,0.000000*Count,0.0>
                rotate <0.000000*Count,0.0,0.0>
                scale <pow(0.800000,Count)*Factor,pow(0.800000,Count)*Factor,pow(0.800000,Count)*Factor>
                rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                rotate <0.000000*Count,1.000000*Count,1.000000*Count>
                translate <1664.000000*Count*Factor,-30.000000*Count,0.000000*Count>
                rotate <0.000000*Count,1.000000*Count,1.000000*Count>
            }
            #declare Count = Count + 1;
        #end
        rotate    <0.000000,0.000000,18.000000>
        translate <18879.000000,2858.000000,0.000000>
        no_shadow
    }  // end Object_Array60

    union {  // Object_Array59
        #declare Count = 0;
        #while( Count < 10 )
            #declare Factor = cos(0.000000+Count*0.000000);
            object{ BridgeUnit0
                rotate <0.0,0.0,0.000000*Count>
                rotate<0.0,0.000000*Count,0.0>
                rotate <0.000000*Count,0.0,0.0>
                scale <pow(1.000000,Count),pow(1.000000,Count),pow(1.000000,Count)>
                rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                rotate <0.000000*Count,0.000000*Count,1.000000*Count>
                translate <1664.000000*Count,0.000000*Count,0.000000*Count>
                rotate <0.000000*Count,0.000000*Count,1.000000*Count>
            }
            #declare Count = Count + 1;
        #end
        translate <2501.275453,0.000000,0.000000>
    }  // end Object_Array59

    union {  // Object_Array9
        #declare Count = 0;
        #while( Count < 2 )
            #declare Factor = cos(0.000000+Count*0.000000);
            object{ BridgeUnit0
                rotate <0.0,0.0,0.000000*Count>
                rotate<0.0,0.000000*Count,0.0>
                rotate <0.000000*Count,0.0,0.0>
                scale <pow(1.000000,Count),pow(1.000000,Count),pow(1.000000,Count)>
                rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                translate <1664.000000*Count,0.000000*Count,0.000000*Count>
                rotate <0.000000*Count,0.000000*Count,0.000000*Count>
            }
            #declare Count = Count + 1;
        #end
        translate <-831.999939,0.000000,0.000000>
    }  // end Object_Array9

    translate <0.000000,176.464000,142.823685>
}  // end BridgeArrays0


camera{ Camera1 }

